2017-11-18 12:15 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004049Kali Linux[All Projects] Kali Package Bugpublic2017-06-06 12:14
Reportergryffus 
Assigned Tosbrun 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Version2017.2 
Summary0004049: BDFProxy crashes (requires mitmproxy 0.11 - 0.17, but requirement cannot be installed)
DescriptionFrom BDFProxy manual:

###NOW ONLY WORKS WITH v.0.17 >= MITMPROXY >= v.0.11

In current BDFProxy version http://pkg.kali.org/news/280167 , there is a patch that should get bdfproxy working with mitmproxy 0.18.1.
However, this patch does not seem to work. BDFProxy starts fine, but it crashes on proxy connection.
Steps To Reproduce1) apt install bdfproxy
2) configure bdfproxy, set ip addresses and ports
3) configure browser to use bdfproxy as a proxy
4) try to open any webpage
5) bdfproxy crashes with following:
[!] Writing resource script.
[!] Resource writen to bdfproxy_msf_resource.rc
[!] Configuring traffic forwarding
[*] Starting BDFProxy
[*] Version: v0.3.8
[*] Author: @midnite_runr | the[.]midnite).(runr<at>gmail|.|com
Traceback (most recent call last):
  File "./bdf_proxy.py", line 883, in <module>
    m.run()
  File "./bdf_proxy.py", line 176, in run
    return controller.Master.run(self)
  File "/usr/lib/python2.7/dist-packages/mitmproxy/controller.py", line 142, in run
    self.tick(0.1)
  File "/usr/lib/python2.7/dist-packages/mitmproxy/controller.py", line 154, in tick
    handle_func = getattr(self, mtype)
AttributeError: 'ProxyMaster' object has no attribute 'log'
Exception in thread TCPConnectionHandler (ProxyServer: 127.0.0.1:59240 -> 0.0.0.0:8080) (most likely raised during interpreter shutdown):
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
  File "/usr/lib/python2.7/threading.py", line 754, in run
  File "/usr/lib/python2.7/dist-packages/netlib/tcp.py", line 922, in connection_thread
<type 'exceptions.TypeError'>: 'NoneType' object is not callable
Additional InformationI have tried to install mitmproxy 0.17 with pip, this was unfortunately also unsuccessful because of fail to build python-security in its required version (probably because of openssl).
Attached Files

-Relationships
+Relationships

-Notes

~0006764

gryffus (reporter)

Related upstream ticket: https://github.com/secretsquirrel/BDFProxy/issues/48

~0006781

gryffus (reporter)

From IRC:

‎[23:02] ‎<‎gryffus_‎>‎ midnite_runr: no problem... Do you think it is possible to patch BDFProxy for 0.18.2? Or only way to get it working is with 0.17?
‎[23:54] ‎<‎gryffus_‎>‎ I think this could be related: https://github.com/mitmproxy/mitmproxy/commit/7fe09f4d26e604db9d3e7f9868b3f0da0b3a6406
‎[03:18] ‎<‎midnite_runr‎>‎ gryffus_: looking
‎[03:29] ‎<‎midnite_runr‎>‎ gryffus_: that version you pointed me at is python3
‎[03:31] ‎<‎midnite_runr‎>‎ gryffus_: 0.18.3 is the last version for python2 (which BDFProxy is).
‎[03:35] ‎<‎midnite_runr‎>‎ gryffus_: mitmproxy broke _a_lot_ of their api for those of use that write scripts
‎[03:35] ‎<‎midnite_runr‎>‎ that use the internal api
‎[03:36] ‎<‎midnite_runr‎>‎ BDFProxy is going to be updated to python3
‎[03:36] ‎<‎midnite_runr‎>‎ BDF/BDFProxy
‎[03:37] ‎<‎midnite_runr‎>‎ so, I would just still with mitmproxy versions that are supported
‎[03:37] ‎<‎midnite_runr‎>‎ as for kali issues.. *shrug*
‎[03:38] ‎<‎midnite_runr‎>‎ *I would go with mitmproxy versions that are supported*

~0006794

sbrun (manager)

new version 0.3.9+git20170106-0kali1 fixes this issue.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-29 20:16 gryffus New Issue
2017-05-29 20:16 gryffus File Added: pip_install_mitmproxy_0_17.log.zip
2017-05-29 21:50 gryffus Note Added: 0006764
2017-05-30 07:12 sbrun Assigned To => sbrun
2017-05-30 07:12 sbrun Status new => assigned
2017-05-31 06:00 gryffus Note Added: 0006781
2017-06-06 12:14 sbrun Status assigned => resolved
2017-06-06 12:14 sbrun Resolution open => fixed
2017-06-06 12:14 sbrun Fixed in Version => 2017.2
2017-06-06 12:14 sbrun Note Added: 0006794
+Issue History